import { CSSProperties, TargetedEvent } from "preact/compat";
import './style.css';
import { SpinnerLoading } from "../..";

interface DefaultButtonProps {
  label: string
  containerClassName?: string,
  containerStyle?: CSSProperties,
  className?: string,
  style?: CSSProperties,
  isLoading?: boolean,
  onClick?: (event: TargetedEvent) => any,
  href?: string,
}

const WarningButton = (props: DefaultButtonProps) => (
  <div
    className={props.containerClassName}
    style={props.containerStyle}
  >
    <a 
      href={props.href}
      onClick={props.onClick}
      className={`bg-error warning-button ${props.className ? props.className : ''}`} 
      style={{ paddingTop: 6, paddingBottom: 6, letterSpacing: .9, borderRadius: 7, ...props.style }}
    >
      {props.isLoading ? 
        <SpinnerLoading style={{ verticalAlign: 'middle'}}/>
      :
        props.label
      }
    </a>
  </div>
)

export default WarningButton;
