import { Navigate } from "react-router-dom"
import { useSelector } from "react-redux"
import { UserRootState } from "src/store/type"


export const AdminProtectedRoute = ({children}: any) => {

  const user = useSelector((state: UserRootState) => state.auth)
  if(!user.is_admin) {
    return <Navigate to={"/"} replace />;
  }

  return children;
}

export const UserProtectedRoute = ({ children }: any) => {
  const user = useSelector((state: UserRootState) => state.auth)
  if(Object.keys(user).length === 0) {
    return <Navigate to={"/"} replace />
  }

  return children
}